Bug 1312841 - Reference to relative path of heketi-cli
Reference to relative path of heketi-cli
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.2
Assigned To: Divya
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks: 1315738
  Show dependency treegraph
 
Reported: 2016-02-29 06:07 EST by Anush Shetty
Modified: 2017-11-17 00:25 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2016-02-29 06:07:32 EST
Document URL:  http://jenkinscat.gsslab.pnq.redhat.com:8080/view/Gluster/job/doc-Red_Hat_Gluster_Storage-3.1-Administration_Guide%20%28PDF%29/lastBuild/artifact/tmp/en-US/pdf/Red_Hat_Storage-3.1-Administration_Guide-en-US.pdf

Section Number and Name: 6.2.4.2 Topology Setup & 6.2.5 Creating a volume

Describe the issue: In the examples, relative path of heketi-cli has been used. heketi-cli gets installed in /usr/bin/heketi-cli. So we needn't use the relative path, i.e. just heketi-cli and not ./heketi-cli.

Suggestions for improvement: "./heketi-cli ..." should be  just "heketi-cli"

Additional information:
Comment 2 Divya 2016-03-16 04:19:31 EDT
Anush,

Based on the bug description, I have updated the following sections:

- ⁠6.2.4.2. Topology Setup
- ⁠6.2.5. Creating a Volume
- ⁠6.2.6. Deleting a Volume

Link to the latest documentation: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Administration_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#idm140563020193280

Could you please review the changes and let me know if it is fine.
Comment 3 Anush Shetty 2016-03-22 05:24:53 EDT
I had a cursory look at the document, and it looks good. 

But I suggest that you get Luis Pabon's feedback on the same, and then move the bug to ON_QA, following which I shall do a detailed review.
Comment 4 Divya 2016-03-22 06:52:35 EDT
Luis,

Based on the bug description, I have updated the following sections:

- ⁠6.2.4.2. Topology Setup
- ⁠6.2.5. Creating a Volume
- ⁠6.2.6. Deleting a Volume

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Administration_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#idm140003962433008

Could you please review the changes and let me know if it is fine.
Comment 5 Divya 2016-03-23 05:16:31 EDT
Based on Rajy's suggestion, moving the bug to ON_QA.
Comment 8 Anush Shetty 2016-03-23 05:44:08 EDT
Moving this bug to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.